<?php

namespace FiloBlu\Imagick\Model\Source;

class Filter implements \Magento\Framework\Option\ArrayInterface {

    const FILTER_UNDEFINED = 0;
    const FILTER_POINT = 1;
    const FILTER_BOX = 2;
    const FILTER_TRIANGLE = 3;
    const FILTER_HERMITE = 4;
    const FILTER_HANNING = 5;
    const FILTER_HAMMING = 6;
    const FILTER_BLACKMAN = 7;
    const FILTER_GAUSSIAN = 8;
    const FILTER_QUADRATIC = 9;
    const FILTER_CUBIC = 10;
    const FILTER_CATROM = 11;
    const FILTER_MITCHELL = 12;
    const FILTER_LANCZOS = 22;
    const FILTER_BESSEL = 13;
    const FILTER_SINC = 14;
    const FILTER_KAISER = 16;
    const FILTER_WELSH = 17;
    const FILTER_PARZEN = 18;
    const FILTER_LAGRANGE = 21;
    const FILTER_SENTINEL = 31;
    const FILTER_BOHMAN = 19;
    const FILTER_BARTLETT = 20;
    const FILTER_JINC = 13;
    const FILTER_SINCFAST = 15;
    const FILTER_ROBIDOUX = 26;
    const FILTER_LANCZOSSHARP = 23;
    const FILTER_LANCZOS2 = 24;
    const FILTER_LANCZOS2SHARP = 25;
    const FILTER_ROBIDOUXSHARP = 27;
    const FILTER_COSINE = 28;
    const FILTER_SPLINE = 29;
    const FILTER_LANCZOSRADIUS = 30;

    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray() {
        return array(
            array('value' => self::FILTER_UNDEFINED, 'label' => __('FILTER_UNDEFINED')),
            array('value' => self::FILTER_POINT, 'label' => __('FILTER_POINT')),
            array('value' => self::FILTER_BOX, 'label' => __('FILTER_BOX')),
            array('value' => self::FILTER_TRIANGLE, 'label' => __('FILTER_TRIANGLE')),
            array('value' => self::FILTER_HERMITE, 'label' => __('FILTER_HERMITE')),
            array('value' => self::FILTER_HANNING, 'label' => __('FILTER_HANNING')),
            array('value' => self::FILTER_HAMMING, 'label' => __('FILTER_HAMMING')),
            array('value' => self::FILTER_BLACKMAN, 'label' => __('FILTER_BLACKMAN')),
            array('value' => self::FILTER_GAUSSIAN, 'label' => __('FILTER_GAUSSIAN')),
            array('value' => self::FILTER_QUADRATIC, 'label' => __('FILTER_QUADRATIC')),
            array('value' => self::FILTER_CUBIC, 'label' => __('FILTER_CUBIC')),
            array('value' => self::FILTER_CATROM, 'label' => __('FILTER_CATROM')),
            array('value' => self::FILTER_MITCHELL, 'label' => __('FILTER_MITCHELL')),
            array('value' => self::FILTER_LANCZOS, 'label' => __('FILTER_LANCZOS')),
            array('value' => self::FILTER_BESSEL, 'label' => __('FILTER_BESSEL')),
            array('value' => self::FILTER_SINC, 'label' => __('FILTER_SINC')),
            array('value' => self::FILTER_KAISER, 'label' => __('FILTER_KAISER')),
            array('value' => self::FILTER_WELSH, 'label' => __('FILTER_WELSH')),
            array('value' => self::FILTER_PARZEN, 'label' => __('FILTER_PARZEN')),
            array('value' => self::FILTER_LAGRANGE, 'label' => __('FILTER_LAGRANGE')),
            array('value' => self::FILTER_SENTINEL, 'label' => __('FILTER_SENTINEL')),
            array('value' => self::FILTER_BOHMAN, 'label' => __('FILTER_BOHMAN')),
            array('value' => self::FILTER_BARTLETT, 'label' => __('FILTER_BARTLETT')),
            array('value' => self::FILTER_JINC, 'label' => __('FILTER_JINC')),
            array('value' => self::FILTER_SINCFAST, 'label' => __('FILTER_SINCFAST')),
            array('value' => self::FILTER_ROBIDOUX, 'label' => __('FILTER_ROBIDOUX')),
            array('value' => self::FILTER_LANCZOSSHARP, 'label' => __('FILTER_LANCZOSSHARP')),
            array('value' => self::FILTER_LANCZOS2, 'label' => __('FILTER_LANCZOS2')),
            array('value' => self::FILTER_LANCZOS2SHARP, 'label' => __('FILTER_LANCZOS2SHARP')),
            array('value' => self::FILTER_ROBIDOUXSHARP, 'label' => __('FILTER_ROBIDOUXSHARP')),
            array('value' => self::FILTER_COSINE, 'label' => __('FILTER_COSINE')),
            array('value' => self::FILTER_SPLINE, 'label' => __('FILTER_SPLINE')),
            array('value' => self::FILTER_LANCZOSRADIUS, 'label' => __('FILTER_LANCZOSRADIUS'))
        );
    }

}
